Backfill Transaction
curl --request POST \
--url https://api.soltop.sh/backfill-transaction \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"signature": "pHXgUjY4cVvi5orXuK3b66MBhF2W3MpXruRGKodqTWze7354iVQ66k1rWCzyWTU7UDeebojPTpW9ZmVv9Dn12cg",
"account": "FnmStvzQ27Pm4U8r3M6gPD7mnk6ST6HwraPsoNmYpump",
"slotRange": 2
}
'import requests
url = "https://api.soltop.sh/backfill-transaction"
payload = {
"signature": "pHXgUjY4cVvi5orXuK3b66MBhF2W3MpXruRGKodqTWze7354iVQ66k1rWCzyWTU7UDeebojPTpW9ZmVv9Dn12cg",
"account": "FnmStvzQ27Pm4U8r3M6gPD7mnk6ST6HwraPsoNmYpump",
"slotRange": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
signature: 'pHXgUjY4cVvi5orXuK3b66MBhF2W3MpXruRGKodqTWze7354iVQ66k1rWCzyWTU7UDeebojPTpW9ZmVv9Dn12cg',
account: 'FnmStvzQ27Pm4U8r3M6gPD7mnk6ST6HwraPsoNmYpump',
slotRange: 2
})
};
fetch('https://api.soltop.sh/backfill-transaction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"status": "Backfill started",
"query_info": {
"signature": "<string>",
"account": "<string>",
"slot_range": 123,
"request_id": "abc123xyz"
},
"message": "Backfill initiated. Check logs for completion status."
}
}Data Management
Backfill Transaction
Backfills transaction data for a given signature and account into the analytics database. Useful for ensuring specific transactions are tracked and analyzed within a specified slot range. The backfill runs asynchronously and returns immediately with a request ID for tracking.
POST
/
backfill-transaction
Backfill Transaction
Authorizations
API Key authentication. Format: sk_live_xxx (production) or sk_test_xxx (testing). Obtain your API key from the Blockline Dashboard.
Body
application/json
Transaction signature to backfill (base58, 87-88 characters)
Pattern:
^[1-9A-HJ-NP-Za-km-z]{87,88}$Example:
"pHXgUjY4cVvi5orXuK3b66MBhF2W3MpXruRGKodqTWze7354iVQ66k1rWCzyWTU7UDeebojPTpW9ZmVv9Dn12cg"
The market/account ID to analyze (base58, 32-44 characters)
Pattern:
^[1-9A-HJ-NP-Za-km-z]{32,44}$Example:
"FnmStvzQ27Pm4U8r3M6gPD7mnk6ST6HwraPsoNmYpump"
Number of slots before/after to analyze
Required range:
1 <= x <= 100Example:
2